import { p as s } from "./index-CNUFa5l3.js";
var t, e = (t = class {
  constructor(i) {
    this.init = i, this.records = this.init();
  }
  reset() {
    this.records = this.init();
  }
}, s(t, "ImperativeState"), t);
export {
  e as t
};
